org.eclipse.microprofile.reactive.messaging.tck

## Class BeanWithChain

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.BeanWithChain

    @ApplicationScoped
    public class BeanWithChain
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BeanWithChain()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String>` `filter(org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> input)`
`List<String>` `list()`
`void` `sink(String word)`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String>` `source()`
`String` `toUpperCase(String payload)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanWithChain

    public BeanWithChain()

### Method Detail

#### source

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> source()

#### toUpperCase

    public String toUpperCase(String payload)

#### filter

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> filter(org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> input)

#### sink

    public void sink(String word)

#### list

    public List<String> list()